<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JDialogFormInfo">
  <NonVisualComponents>
    <Component class="javax.swing.ButtonGroup" name="buttonGroupComestible">
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="title" type="java.lang.String" value="Nuevo Producto en Stock"/>
    <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
      <Dimension value="[716, 489]"/>
    </Property>
    <Property name="resizable" type="boolean" value="false"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="panelProducts" max="32767" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="panelProducts" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JPanel" name="panelProducts">
      <AuxValues>
        <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
      </AuxValues>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel14" max="32767" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace max="32767" attributes="0"/>
                                  <Component id="txtMontoIcbper" pref="0" max="32767" attributes="0"/>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                                  <Component id="jLabel12" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace min="-2" pref="55" max="-2" attributes="0"/>
                                  <Component id="rbtnOk" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" max="-2" attributes="0">
                              <Component id="rbtnNo" max="32767" attributes="0"/>
                              <Component id="btnHelp" min="-2" pref="43" max="-2" attributes="0"/>
                          </Group>
                          <EmptySpace min="43" pref="43" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" alignment="1" attributes="0">
                          <Group type="103" groupAlignment="1" max="-2" attributes="0">
                              <Group type="102" alignment="1" attributes="0">
                                  <Component id="jLabel4" min="-2" pref="115" max="-2" attributes="0"/>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="txtPrecioVenta" max="32767" attributes="0"/>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="jLabel5" min="-2" pref="115" max="-2" attributes="0"/>
                                      <Component id="jLabel3" min="-2" pref="121" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="txtCantidadIngreso" max="32767" attributes="0"/>
                                      <Component id="txtPrecioCompra" min="-2" pref="89" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="txtCodAfectacion" min="-2" pref="72" max="-2" attributes="0"/>
                          <EmptySpace max="32767" attributes="0"/>
                          <Group type="103" groupAlignment="0" max="-2" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="jLabel10" alignment="0" max="32767" attributes="0"/>
                                      <Component id="jLabel2" alignment="0" min="-2" pref="100" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="cbxUnidaMedida" alignment="1" max="32767" attributes="0"/>
                                      <Component id="cbxCategoria" alignment="1" min="-2" pref="163" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="btnNuevaCategoria" max="32767" attributes="0"/>
                                      <Component id="btnNuevaUnidad" min="-2" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                              <Group type="102" alignment="1" attributes="0">
                                  <Component id="jLabel7" min="-2" max="-2" attributes="0"/>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="chooserFechaVenc" min="-2" pref="216" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <Component id="jLabel1" min="-2" pref="115" max="-2" attributes="0"/>
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Component id="txtNombreProducto" max="32767" attributes="0"/>
                      </Group>
                      <Component id="jScrollPane1" alignment="0" max="32767" attributes="0"/>
                      <Group type="102" alignment="1" attributes="0">
                          <Component id="jLabel9" max="32767" attributes="0"/>
                          <EmptySpace min="-2" pref="473" max="-2" attributes="0"/>
                      </Group>
                      <Group type="102" attributes="0">
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <Component id="jLabel6" min="-2" pref="115" max="-2" attributes="0"/>
                                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                  <Component id="txtMarca" min="-2" pref="340" max="-2" attributes="0"/>
                              </Group>
                              <Group type="103" alignment="0" groupAlignment="1" attributes="0">
                                  <Component id="cbxFactacion" min="-2" pref="188" max="-2" attributes="0"/>
                                  <Group type="102" attributes="0">
                                      <Component id="jLabel11" min="-2" pref="115" max="-2" attributes="0"/>
                                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                      <Component id="txtCodigoProducto" min="-2" pref="189" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                          <EmptySpace min="0" pref="0" max="32767" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace min="-2" pref="223" max="-2" attributes="0"/>
                  <Component id="btnRegistrarProducto" min="-2" pref="110" max="-2" attributes="0"/>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Component id="btnActualizarProducto" min="-2" pref="110" max="-2" attributes="0"/>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel11" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="txtCodigoProducto" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel14" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="rbtnOk" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="rbtnNo" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel12" alignment="3" min="-2" pref="23" max="-2" attributes="0"/>
                      <Component id="cbxFactacion" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="btnHelp" min="-2" pref="24" max="-2" attributes="0"/>
                      <Component id="txtMontoIcbper" min="-2" pref="29" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="cbxUnidaMedida" alignment="0" min="-2" pref="19" max="-2" attributes="0"/>
                      <Component id="btnNuevaUnidad" min="-2" max="-2" attributes="0"/>
                      <Group type="103" alignment="0" groupAlignment="3" attributes="0">
                          <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel10" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="txtCodAfectacion" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Component id="txtCantidadIngreso" alignment="0" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="unrelated" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="103" alignment="0" groupAlignment="3" attributes="0">
                          <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="txtPrecioCompra" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <Component id="btnNuevaCategoria" alignment="0" min="-2" max="-2" attributes="0"/>
                      <Group type="103" alignment="1" groupAlignment="3" attributes="0">
                          <Component id="cbxCategoria" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" alignment="0" attributes="0">
                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="3" attributes="0">
                              <Component id="jLabel4" alignment="3" min="-2" max="-2" attributes="0"/>
                              <Component id="txtPrecioVenta" alignment="3" min="-2" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <Group type="102" alignment="0" attributes="0">
                          <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" max="-2" attributes="0">
                              <Component id="chooserFechaVenc" max="32767" attributes="0"/>
                              <Component id="jLabel7" min="-2" pref="20" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
                  <EmptySpace min="-2" pref="20" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel1" alignment="3" min="-2" pref="27" max="-2" attributes="0"/>
                      <Component id="txtNombreProducto" alignment="3" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
                      <Component id="txtMarca" alignment="3" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Component id="jLabel9" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="14" max="-2" attributes="0"/>
                  <Component id="jScrollPane1" min="-2" pref="59" max="-2" attributes="0"/>
                  <EmptySpace type="separate" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="3" attributes="0">
                      <Component id="btnActualizarProducto" alignment="3" min="-2" pref="30" max="-2" attributes="0"/>
                      <Component id="btnRegistrarProducto" alignment="3" min="-2" pref="30" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace pref="18" max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Producto :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Categor&#xed;a :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel3">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Cantidad de ingreso :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel4">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Precio de venta    S/."/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel5">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Precio de compra S/."/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel7">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="F. de vencimiento :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="txtNombreProducto">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="txtPrecioCompra">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="txtCantidadIngreso">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="com.toedter.calendar.JDateChooser" name="chooserFechaVenc">
          <Properties>
            <Property name="dateFormatString" type="java.lang.String" value="dd-MM-yyyy"/>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JComboBox" name="cbxCategoria">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="1">
                <StringItem index="0" value=" "/>
              </StringArray>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_TypeParameters" type="java.lang.String" value="&lt;String&gt;"/>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="txtPrecioVenta">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JRadioButton" name="rbtnOk">
          <Properties>
            <Property name="buttonGroup" type="javax.swing.ButtonGroup" editor="org.netbeans.modules.form.RADComponent$ButtonGroupPropertyEditor">
              <ComponentRef name="buttonGroupComestible"/>
            </Property>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="SI"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="rbtnOkActionPerformed"/>
          </Events>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JRadioButton" name="rbtnNo">
          <Properties>
            <Property name="buttonGroup" type="javax.swing.ButtonGroup" editor="org.netbeans.modules.form.RADComponent$ButtonGroupPropertyEditor">
              <ComponentRef name="buttonGroupComestible"/>
            </Property>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="selected" type="boolean" value="true"/>
            <Property name="text" type="java.lang.String" value="NO"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="rbtnNoActionPerformed"/>
          </Events>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel9">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Descripci&#xf3;n del producto (Opcional) :"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="txtDescripcion">
              <Properties>
                <Property name="columns" type="int" value="20"/>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="Arial" size="12" style="0"/>
                </Property>
                <Property name="rows" type="int" value="5"/>
              </Properties>
              <AuxValues>
                <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
              </AuxValues>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JButton" name="btnRegistrarProducto">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="REGISTRAR"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Cursor de Mano"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel10">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Unidad de medida :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="cbxUnidaMedida">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="13">
                <StringItem index="0" value="-- SELECCIONAR --"/>
                <StringItem index="1" value="NIU    UNIDAD"/>
                <StringItem index="2" value="PK     PAQUETE"/>
                <StringItem index="3" value="CA     LATAS"/>
                <StringItem index="4" value="BX     CAJA"/>
                <StringItem index="5" value="BO     BOTELLAS"/>
                <StringItem index="6" value="LTR    LITRO"/>
                <StringItem index="7" value="BG     BOLSA"/>
                <StringItem index="8" value="CT     CARTONES"/>
                <StringItem index="9" value="PR     PAR"/>
                <StringItem index="10" value="C62   PIEZAS"/>
                <StringItem index="11" value="PG     PLACAS"/>
                <StringItem index="12" value="DZN   DOCENA"/>
              </StringArray>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_TypeParameters" type="java.lang.String" value="&lt;String&gt;"/>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel11">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="C&#xf3;digo producto :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JFormattedTextField" name="txtCodigoProducto">
          <Properties>
            <Property name="editable" type="boolean" value="false"/>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel14">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Afectacion IGV :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="btnActualizarProducto">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="text" type="java.lang.String" value="MODIFICAR"/>
            <Property name="cursor" type="java.awt.Cursor" editor="org.netbeans.modules.form.editors2.CursorEditor">
              <Color id="Cursor de Mano"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JButton" name="btnNuevaUnidad">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="14" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="+"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="btnNuevaCategoria">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="14" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="+"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnNuevaCategoriaActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel12">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Impuesto a la bolsa platica :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="cbxFactacion">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="4">
                <StringItem index="0" value="INAFECTO"/>
                <StringItem index="1" value="EXONERADO"/>
                <StringItem index="2" value="GRAVADO"/>
                <StringItem index="3" value="GRATUITO"/>
              </StringArray>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="itemStateChanged" listener="java.awt.event.ItemListener" parameters="java.awt.event.ItemEvent" handler="cbxFactacionItemStateChanged"/>
          </Events>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_TypeParameters" type="java.lang.String" value="&lt;String&gt;"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JTextField" name="txtCodAfectacion">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JTextField" name="txtMontoIcbper">
          <Properties>
            <Property name="editable" type="boolean" value="false"/>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Calibri" size="18" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="text" type="java.lang.String" value="0.3"/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JButton" name="btnHelp">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/com/edmi/images/icons8_help_24px.png"/>
            </Property>
            <Property name="toolTipText" type="java.lang.String" value="Ayuda"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="null"/>
            </Property>
            <Property name="opaque" type="boolean" value="false"/>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnHelpActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JTextField" name="txtMarca">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="1"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel6">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Arial" size="12" style="0"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="2"/>
            <Property name="text" type="java.lang.String" value="Marca (opcional) :"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
